GarrisonLandingPageMinimapButton:SetScript("OnClick", function(self, button, down)
	if button == "RightButton" then
		HideUIPanel(GarrisonLandingPage);
		ToggleDropDownMenu(1, nil, GarrisonReportDropDown, self, 0, 0)
	else
		GarrisonLandingPage_Toggle();
	end
end)

function GarrisonOrderHallReportFrameOnEvent(self, event, arg1)
	if UnitLevel("player") >= 90 then
		GarrisonLandingPageMinimapButton:Show()
	end
end

function GarrisonReportDropDownOnLoad()
	local garrison = {}
	garrison.text = "Garrison"
	garrison.value = 2
	garrison.func = GarrisonReportDropDownOnClick
	local order = {}
	order.text = "Order Hall"
	order.value = 3
	order.func = GarrisonReportDropDownOnClick
	UIDropDownMenu_AddButton(garrison)
	UIDropDownMenu_AddButton(order)
end

function GarrisonReportDropDownOnClick(value)
	ShowGarrisonLandingPage(value.value)
end

GarrisonOrderHallReportFrame = CreateFrame("FRAME", nil, UIParent)
GarrisonOrderHallReportFrame:RegisterEvent("PLAYER_ENTERING_WORLD")
GarrisonOrderHallReportFrame:RegisterEvent("PLAYER_UPDATE_RESTING")
GarrisonOrderHallReportFrame:RegisterEvent("ZONE_CHANGED")
GarrisonOrderHallReportFrame:RegisterEvent("ZONE_CHANGED_INDOORS")
GarrisonOrderHallReportFrame:RegisterEvent("ZONE_CHANGED_NEW_AREA")
GarrisonOrderHallReportFrame:RegisterEvent("PLAYER_LOGIN")
GarrisonOrderHallReportFrame:SetScript("OnEvent", GarrisonOrderHallReportFrameOnEvent)
GarrisonLandingPageMinimapButton:RegisterForClicks("LeftButtonUp", "RightButtonUp")
GarrisonReportDropDown = CreateFrame("FRAME", "GarrisonReportDropDown", UIParent, "UIDropDownMenuTemplate")
UIDropDownMenu_Initialize(GarrisonReportDropDown, GarrisonReportDropDownOnLoad, "MENU")